# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = ["FBReader for Windows"]

def install():
    print('installing fbreader')
    run(r'"FBReaderSetup-%s.exe" /S' % control['version'].split('-',1)[0])

    create_programs_menu_shortcut('FBReader', target=makepath(programfiles32,'FBReader','FBReader.exe'))


def update_package():

    import json

    proxies = {}
    if isfile(makepath(application_data(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxies = {'http':proxywapt,'https':proxywapt}

    lastversion = wgets('https://fbreader.org/win32',proxies=proxies).split('.exe')[0].split('FBReaderSetup-')[-1]
    print('Last Version %s' % lastversion)
    filename = "FBReaderSetup-%s.exe" % lastversion

    for exe in glob.glob('FBReaderSetup-*.exe') :
        if exe != filename:
            remove_file(exe)

    if not isfile(filename):
        wget('https://fbreader.org/files/win32/%s' % filename,filename,proxies=proxies)


    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())

    pe.version = lastversion + '-0'
    pe.save_control_to_wapt(os.getcwd())

